org.apache.storm.cassandra.query.builder

## Class ObjectMapperCqlStatementMapperBuilder

- java.lang.Object
- - org.apache.storm.cassandra.query.builder.ObjectMapperCqlStatementMapperBuilder

- All Implemented Interfaces:
    Serializable, CQLStatementBuilder<ObjectMapperCqlStatementMapper>

      public class ObjectMapperCqlStatementMapperBuilder
      extends Object
      implements CQLStatementBuilder<ObjectMapperCqlStatementMapper>, Serializable

  Builds a tuple mapper that is able to map objects annotated with `com.datastax.driver.mapping.annotations.Table` to CQL statements.

  Needs at least

      operationField

  and

      valueField

  . Writetime, TTL and consistency level can be specified in optional tuple fields.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectMapperCqlStatementMapperBuilder(String operationField, String valueField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectMapperCqlStatementMapper` | `build()` Builds an ObjectMapperCqlStatementMapper.
    `ObjectMapperCqlStatementMapperBuilder` | `withCodecs(List<SerializableCallable<com.datastax.driver.core.TypeCodec<?>>> codecProducer)`
    `ObjectMapperCqlStatementMapperBuilder` | `withConsistencyLevelField(String consistencyLevelField)`
    `ObjectMapperCqlStatementMapperBuilder` | `withTimestampField(String timestampField)`
    `ObjectMapperCqlStatementMapperBuilder` | `withTtlField(String ttlField)`
    `ObjectMapperCqlStatementMapperBuilder` | `withUdtCodecs(List<Class<?>> udtClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectMapperCqlStatementMapperBuilder

          public ObjectMapperCqlStatementMapperBuilder(String operationField,
                                                       String valueField)

  - ### Method Detail

    - #### build

          public ObjectMapperCqlStatementMapper build()

      Builds an ObjectMapperCqlStatementMapper.

      Specified by:
        `build` in interface `CQLStatementBuilder<ObjectMapperCqlStatementMapper>`
      Returns:
        a new CQLStatementMapper instance.

    - #### withCodecs

          public ObjectMapperCqlStatementMapperBuilder withCodecs(List<SerializableCallable<com.datastax.driver.core.TypeCodec<?>>> codecProducer)

    - #### withUdtCodecs

          public ObjectMapperCqlStatementMapperBuilder withUdtCodecs(List<Class<?>> udtClass)

    - #### withTimestampField

          public ObjectMapperCqlStatementMapperBuilder withTimestampField(String timestampField)

    - #### withTtlField

          public ObjectMapperCqlStatementMapperBuilder withTtlField(String ttlField)

    - #### withConsistencyLevelField

          public ObjectMapperCqlStatementMapperBuilder withConsistencyLevelField(String consistencyLevelField)

Copyright © 2021 The Apache Software Foundation. All rights reserved.